Develop branch of the installer does not run properly on Fedora 18
Status: Closed   

Priority: Normal   

Assignee:    

Category:    

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Develop branch of the installer does not run properly on Fedora 18:

Puppet version 2.7.18 (which might be the problem in and of itself).

info: Loading facts in ./stdlib/lib/facter/root_home.rb

info: Loading facts in ./stdlib/lib/facter/pe_version.rb

info: Loading facts in ./stdlib/lib/facter/puppet_vardir.rb

info: Loading facts in ./concat/lib/facter/concat_basedir.rb

info: Loading facts in ./postgresql/lib/facter/postgres_default_version.rb

warning: noop is a metaparam; this value will inherit to all contained resources

/usr/share/ruby/vendor_ruby/puppet/provider/service/bsd.rb:12: warning: class variable access from

 toplevel

/usr/share/ruby/vendor_ruby/puppet/provider/service/freebsd.rb:8: warning: class variable access f

rom toplevel

/usr/share/ruby/vendor_ruby/puppet/provider/service/freebsd.rb:9: warning: class variable access f

rom toplevel

/usr/share/ruby/vendor_ruby/puppet/provider/service/freebsd.rb:10: warning: class variable access 

from toplevel

Parameter source failed: Failed to convert '/var/lib/puppet/concat/output/["foreman_settings"].out

' to URI: bad component(expected absolute path component): /var/lib/puppet/concat/output/[%22forem

an_settings%22].out

History

#1 - 05/01/2013 04:19 AM - Dominic Cleal

- Status changed from New to Ready For Testing

https://github.com/onyxpoint/pupmod-concat/pull/8 (hopefully that's all that's needed.. I don't have a test setup)

#2 - 05/10/2013 09:29 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- Target version set to 1.2.0

- % Done changed from 0 to 100

Merged into our copy of puppet-concat and we've switched back now: https://github.com/theforeman/foreman-installer/pull/45

#3 - 07/10/2018 02:44 PM - Greg Sutcliffe

- Target version deleted (1.2.0)
